## adacontrol 1.21r6b

=== doc/Makefile ===
# doc/Makefile
TEXI := $(wildcard *.texi)
HTML := $(subst .texi,.html,$(TEXI))
INFO := $(subst .texi,.info,$(TEXI))
PDF  := $(subst .texi,.pdf, $(TEXI))
TXT  := $(subst .texi,.txt, $(TEXI))
docs: $(HTML) $(INFO) $(PDF) $(TXT)
$(HTML): %.html: %.texi
	texi2any --output=$@ --html --no-split --css-include=adalog_doc.css $<
$(INFO): %.info: %.texi
	texi2any --output=$@ --info --no-split $<
$(PDF): %.pdf: %.texi
	texi2any --output=$@ --pdf --no-iftex --Xopt --quiet --Xopt --build=clean $<
$(TXT): %.txt: %.texi
	texi2any --output=$@ --plaintext $<

=== debian/changelog ===
adacontrol (1.21r6b-7) unstable; urgency=medium

  * Reupload to unstable for gnat-10 transition.
  * Standards-Version: 4.5.1.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 13 Dec 2020 16:23:15 +0100

adacontrol (1.21r6b-6) experimental; urgency=medium

  * Build with gnat-10 and updated dependencies.
    Work-around GCC bug https://gcc.gnu.org/bugzilla/show_bug.cgi?id=95664.
    Disable stress test.
  * Pass build flags via the environment.
  * Remove redundant options from debian/watch.
  * Use ASCII encoding in rule files.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 17 Nov 2020 19:24:06 +0000

adacontrol (1.21r6b-5) unstable; urgency=medium

  * Revert sizes in t_representation_clauses.diff.
    A non-power of 2 RecTab'Size fails to compile on big-endian architectures.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 10 May 2020 18:16:55 +0000

adacontrol (1.21r6b-4) unstable; urgency=medium

  * Run tests without SOURCE_DATE_EPOCH.  Closes: #959605.
  * Two patches fixing minor problems in test reporting.
  * Fix a reference to adacontrol documentation in GPS.
  * Debhelper 13 deals with nocheck profile.
  * Enable all linker checks.
  * Improve patches so that they may be suggested to upstream.
  * Improve formatting of synopsis in manual pages.
  * Move clean actions from d/rules to d/clean.
  * More specific globs in debhelper aux files.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 10 May 2020 12:41:21 +0000

adacontrol (1.21r6b-3) unstable; urgency=medium

  * no-parallel-make.diff closes: #952770.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 29 Feb 2020 15:08:37 +0100

adacontrol (1.21r6b-2) unstable; urgency=medium

  * Reupload to unstable for gnat-9 transition.
    A change propagated from experimental closes: #952280.
  * Pass debhelper options to sub-Makes via dh_auto_build.
  * Drop redundant branch in Vcs-Git field.
  * Standards-Version: 4.5.0.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 25 Feb 2020 18:44:16 +0100

adacontrol (1.21r6b-1) experimental; urgency=medium

  * New upstream release. Build with gcc-9 and updated dependencies.
  * Standards-Version: 4.4.1.
  * Drop --as-needed, now the default with gcc-9.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 29 Oct 2019 23:37:39 +0100

=== debian/control ===
Source: adacontrol
Homepage: http://www.adalog.fr/en/adacontrol.html
Maintainer: Ludovic Brenta <lbrenta@debian.org>
Uploaders: Nicolas Boulenguez <nicolas@debian.org>
Section: devel
Priority: optional
Standards-Version: 4.5.1
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch:
 dos2unix,
# test/run.sh
 gnat,
# gnat (via gnat-X): /usr/share/ada/debian_packaging*.mk
 gprbuild (>= 2021.0.0.0778b109-2),
 libasis2019.1-dev (>= 2019-4),
 libgnatcoll19-dev (>= 21.0.0-2),
Build-Depends-Indep:
 texinfo,
 texlive-base,
 texlive-fonts-recommended,
 texlive-latex-base,
 texlive-plain-generic,
Vcs-Browser: https://salsa.debian.org/debian/adacontrol
Vcs-Git: https://salsa.debian.org/debian/adacontrol.git

Package: adacontrol
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Enhances: gnat-gps, gprbuild
Suggests: adacontrol-doc
Description: Ada rules controller
 AdaControl verifies that Ada software meets the requirements of a
 number of parameterizable rules.  It is not intended to supplement
 checks made by the compiler, but rather to search for particular
 violations of good-practice rules, or to check that some rules are
 obeyed project-wide.
 .
 This package also contains the following utilities:
 .
  * pfni: Print Full Name Image - expands any identifier to a fully-qualified
    name
  * ptree: Prints a graphic representation of an ASIS tree with corresponding
    source
  * adactl_fix: automatically fix some violations.

Package: adacontrol-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Replaces: adacontrol (<< 1.17r3.1-2)
Breaks: adacontrol (<< 1.17r3.1-2)
Depends: ${misc:Depends}
Suggests: gnat, adacontrol
Description: Ada rules controller (documentation)
 AdaControl verifies that Ada software meets the requirements of a
 number of parameterizable rules.  It is not intended to supplement
 checks made by the compiler, but rather to search for particular
 violations of good-practice rules, or to check that some rules are
 obeyed project-wide.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for adacontrol.
# Copyright (c) 2006-2012 Ludovic Brenta <lbrenta@debian.org>
# Copyright (c) 2014-2020 Nicolas Boulenguez <nicolas@debian.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# The full text of the GNU General Public License is in the file
# /usr/share/common-licenses/GPL on Debian systems.

DPKG_EXPORT_BUILDFLAGS := 1
DEB_BUILD_MAINT_OPTIONS := hardening=+all
DEB_ADAFLAGS_MAINT_APPEND := -gnatwa
DEB_LDFLAGS_MAINT_APPEND := \
  -Wl,--no-allow-shlib-undefined \
  -Wl,--no-copy-dt-needed-entries \
  -Wl,--no-undefined

ifneq (,$(wildcard /usr/bin/gnatgcc)) # Build-Depends-Arch are installed.
  include /usr/share/dpkg/buildflags.mk
  gnat_version := $(shell /usr/bin/gnatgcc -dumpversion)
  include /usr/share/ada/debian_packaging-$(gnat_version).mk
endif

%:
	dh $@

.PHONY: $(addprefix override_dh_auto_, \
  configure build-arch build-indep test-arch test-indep install clean)

override_dh_auto_build-arch:
	dh_auto_build -- build 'GARGS=$(BUILDER_OPTIONS)'

override_dh_auto_build-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	dh_auto_build --sourcedir=doc
endif

# If .adt files are generated with SOURCE_DATE_EPOCH, ASIS detects
# some tree files as inconsistent, see https://bugs.debian.org/959605.
override_dh_auto_test-arch:
	cd test && GCC=gnatgcc SOURCE_DATE_EPOCH= sh run.sh

# Adactl cannot open compressed rules.
# PDF files are already internally compressed.
.PHONY: override_dh_compress
override_dh_compress:
	dh_compress --package=adacontrol --exclude=.aru
	dh_compress --package=adacontrol-doc --exclude=.pdf
	dh_compress --remaining-packages

=== debian/tests/control ===
Tests: upstream-tests

=== debian/watch ===
version=4

# qa.debian.org runs a redirector which allows a simpler form of URL
# for SourceForge based projects. The format below will automatically
# be rewritten to use the redirector.

http://sf.net/adacontrol/adactl@ANY_VERSION@-src\.tgz

# Prefer .tgz over @ARCHIVE_EXT@.
# The former would .zip and force a repackaging.
